finops module route (requires finops:budget:write)
POST
/v1/m/finops/cost-centers/{id}/mappings
const url = 'https://example.com/v1/m/finops/cost-centers/example/mappings';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"cost_center_id":"example","created_at":"example","id":"example","priority":1,"source_dimension":"team","source_key":"example","updated_at":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/m/finops/cost-centers/example/mappings \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "cost_center_id": "example", "created_at": "example", "id": "example", "priority": 1, "source_dimension": "team", "source_key": "example", "updated_at": "example" }'Creates one mapping that attributes spend to a cost center.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Path parameter id.
Header Parameters
Section titled “Header Parameters ” X-Olivares-Tenant
string format: uuid
Target tenant id; required when the principal can act in more than one tenant.
Request Body required
Section titled “Request Body required ” Media type application/json
object
cost_center_id
Accepted by the DTO; the path cost-center id is authoritative and overwrites this value.
string
created_at
string
id
string
priority
integer format: int64
source_dimension
required
string
source_key
required
string
updated_at
string
Responses
Section titled “ Responses ”OK
Media type application/json
object
Example generated
{}Bad request
Media type application/json
object
Example generated
{}Unauthenticated
Media type application/json
object
Example generated
{}Forbidden
Media type application/json
object
Example generated
{}Not found
Media type application/json
object
Example generated
{}Conflict / setup required
Media type application/json
object
Example generated
{}Rate limited
Media type application/json
object
Example generated
{}